# amrnbdec

AMR narrowband decoder based on the opencore codec implementation.

## Example launch line

     gst-launch-1.0 filesrc location=abc.amr ! amrparse ! amrnbdec ! audioconvert ! audioresample ! autoaudiosink

## Hierarchy

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstElement
                    ╰──GstAudioDecoder
                        ╰──amrnbdec

## Factory details

Authors: – GStreamer maintainers

Classification: – `Codec/Decoder/Audio`

Rank – primary

Plugin – amrnb

Package – GStreamer Good Plug-ins

## Pad Templates

### `sink`

    audio/AMR:
               rate: 8000
           channels: 1

Presence – always

Direction – sink

Object type – GstPad

### `src`

    audio/x-raw:
             format: S16LE
             layout: interleaved
               rate: 8000
           channels: 1

Presence – always

Direction – src

Object type – GstPad

## Properties

### variant

    “variant” Amrnb-variant *

The decoder variant

Flags : Read / Write / Construct

Default value : IF1 (0)

## Named constants

### Amrnb-variant

#### Members

`IF1` (0) – IF1
`IF2` (1) – IF2

The results of the search are